package com.jiayue.insu.incloud.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.jiayue.insu.incloud.entity.Quartz;
import org.quartz.SchedulerException;

import java.text.ParseException;
/**
 * 定时任务业务接口
 *
 * @author yh
 * @version 1.0
 * @since 2022/5/22 11:29
 */
public interface QuartzService extends IService<Quartz> {

    Quartz findByJobName(String jobName);

    boolean saveQuartz(Quartz quartz) throws SchedulerException, ClassNotFoundException, ParseException;

    boolean updateQuartz(Quartz quartz) throws SchedulerException, ClassNotFoundException, ParseException;

    boolean deleteQuartz(Integer id) throws SchedulerException;
}
